scala.xml.factory
trait NodeFactory

[source: `scala/xml/factory/NodeFactory.scala`]

`` `trait` NodeFactory[A <: Node]
  `extends` AnyRef

Direct Known Subclasses:
  LoggedNodeFactory, NoBindingFactoryAdapter

Value Summary
`val` | cache : HashMap[Int, List[A]]
`val` | ignoreComments : Boolean
`val` | ignoreProcInstr : Boolean

Method Summary
`protected def` | construct (hash : Int, old : List[A], pre : String, name : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A
`protected abstract def` | create (pre : String, name : String, attrs : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A
`def` | eqElements (ch1 : Seq[Node], ch2 : Seq[Node]) : Boolean faster equality, because
`def` | makeComment (s : String) : Seq[Comment]
`def` | makeNode (pre : String, name : String, attrSeq : MetaData, scpe : NamespaceBinding, children : Seq[Node]) : A
`def` | makeProcInstr (t : String, s : String) : Seq[ProcInstr]
`def` | makeText (s : String) : Text
`def` | nodeEquals (n : Node, pre : String, name : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : Boolean

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` ignoreComments : Boolean

`` `val` ignoreProcInstr : Boolean

`` `val` cache : HashMap[Int, List[A]]

Method Details

`protected abstract` `def` create(pre : String, name : String, attrs : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A

`protected` `def` construct(hash : Int, old : List[A], pre : String, name : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : A

`` `def` eqElements(ch1 : Seq[Node], ch2 : Seq[Node]) : Boolean

  faster equality, because

`` `def` nodeEquals(n : Node, pre : String, name : String, attrSeq : MetaData, scope : NamespaceBinding, children : Seq[Node]) : Boolean

`` `def` makeNode(pre : String, name : String, attrSeq : MetaData, scpe : NamespaceBinding, children : Seq[Node]) : A

`` `def` makeText(s : String) : Text

`` `def` makeComment(s : String) : Seq[Comment]

`` `def` makeProcInstr(t : String, s : String) : Seq[ProcInstr]